MKFIFO(1)

NAME
mkfifo - Create a FIFO with the given name.

SYNOPSIS
mkfifo [-m|--mode] [-Z ] [--context] [-h|--help] [-V|--version] <fifo>

DESCRIPTION
Create a FIFO with the given name.

OPTIONS

-m, --mode <MODE>
    file permissions for the fifo

-Z  set the SELinux security context to default type

--context[=<CTX>]
    like -Z, or if CTX is specified then set the SELinux or SMACK security context to CTX

-h, --help
    Print help

-V, --version
    Print version

VERSION
v(uutils coreutils) 0.10.0

EXAMPLES
Create a named pipe at a given path:

mkfifo path/to/pipe

Send data through a named pipe and send the command to the background:

echo "Hello World" > path/to/pipe &

Receive data through a named pipe:

cat path/to/pipe

Share your terminal session in real-time:

mkfifo path/to/pipe; script [-f|--flush] path/to/pipe

The examples are provided by the tldr-pages project <https://tldr.sh> under the CC BY 4.0 License. Please note that, as uutils is a work in progress, some examples might fail.